Packages - Bug #2097

[manaplus] missing shared library
2018-11-22 05:02 AM - ani

Status: not-a-bug % Done: 0%
Priority: bug

Assignee:

Category:

Description

My system is x86_64, | installed manaplus-1.8.9.1-1.
Launching manaplus gives output:

manaplus: error while loading shared libraries: libSDL_gfx.s0.16: cannot open shared object file: No such file or directory

History

#1 - 2018-11-22 12:50 PM - freemor

Do you have the sdl_gfx package installed?
#2 - 2018-11-22 12:59 PM - ani
freemor

extra/sdl_gfx 2.0.26-3 [installed]
SDL graphics drawing primitives and other support functions

Note that it is the wrong version by the major so it should presumably be 1.6 according to what is linked.

#3 - 2018-11-22 01:25 PM - freemor

Manaplus is from Community
sdl_gfx is from extra

| can not rebuild that for you.

You could use asp to pull the PKGBUILD and rebuild in manually, or wait for the Comminity maintainer to clue in.

#4 - 2022-05-08 08:02 PM - Zuss

sdl_gfx is listed as a dependency now and both packages are in Community. Manaplus starts without errors on v2.1.3.17

#5 - 2022-05-14 12:27 PM - Zuss

- Status changed from open to not-a-bug
